<ng-container *ngIf="photoURL; else noPhotoURLBlk">
  <img *ngIf="zIndex" src="{{photoURL}}"
    [ngClass]="{'e-avatar': true, 'e-avatar--small': size === 'small', 'e-avatar--medium': size === 'medium', 'e-avatar--border': border}"
    [ngStyle]="{'z-index': zIndex}">
  <img *ngIf="!zIndex" src="{{photoURL}}"
    [ngClass]="{'e-avatar': true, 'e-avatar--small': size === 'small', 'e-avatar--medium': size === 'medium', 'e-avatar--border': border}">
</ng-container>
<ng-template #noPhotoURLBlk>
  <div [ngClass]="['e-avatar', avatarSize]" fxLayout="row" fxLayoutAlign="center center">
    <mat-icon class="e-mat-icon e-mat-icon--2">person</mat-icon>
  </div>
</ng-template>